% drawMirror(par, vp, vz, vy, vx)
%   draw a mirror
%
% This is a right cylinder with the front surface centered at vp.
% The normal vector is vz, also defining the Z axis of the mirro's
% local basis.  The local X and Y vectors are vx and vy.

function drawBlock(pos, len)

  surfParam = [0.5, 1, 0.2, 0.2, 10];
  surfC = [0.7 0.5 1];

  smat = [1 1 1; 1 1 -1; 1 -1 -1; 1 -1 1]';
  ind = [1 2 3; 3 1 2; 2 3 1];
  
  mpos = pos(:, ones(1, 4));
  mlen = len(:, ones(1, 4)) / 2;
  
  % front and back surfaces
  for n = 1:3
    drawSurf(mpos + smat(ind(n, :), :) .* mlen, surfC, surfParam);
    drawSurf(mpos - smat(ind(n, :), :) .* mlen, surfC, surfParam);
  end
  
  % draw basis lines
%   v0 = [0; 0; 0];
%   spos = [vp vp vp];
%   drawLine(spos - rad * [v0, vy, vx], spos + rad * [0.5 * vz, vy, vx], 'g');

end
