% drawCircle(pos, vaxis, rx, ry, c, N)

function drawCircle(pos, vaxis, rx, ry, c, N)

  % make radial vector and rotation matrix
  dth = 2 * pi / N;
  vr = vecNorm(cross(vaxis([3 1 2]), vaxis));
  mr = vecRot(vaxis, dth);
  
  % create start and end positions
  spos = zeros(3, N + 1);
  epos = zeros(3, N + 1);
  spos(:, 1) = vr * rx + pos;
  epos(:, end) = spos(:, 1);
  
  % loop around the circle
  th = 0;
  for n = 1:N
    vr = mr * vr;
    th = th + dth;
    phi = atan2(rx * sin(th), ry * cos(th));
    rad = sqrt((cos(phi) * rx)^2 + (sin(phi) * ry)^2);
    epos(:, n) = vr * rad + pos;
    spos(:, n + 1) = epos(:, n);
  end

  % draw the circle
  drawLine(spos, epos, c);
end
